From 0b134f3ecc8821e19914e29bcb22f1d25688f6f2 Mon Sep 17 00:00:00 2001
From: Roger Leigh <rleigh@debian.org>
Date: Thu, 7 Jun 2012 20:15:53 +0100
Subject: [PATCH] Document restrictions on use of /run for wheezy

---
 policy.sgml              |    6 ++++++
 upgrading-checklist.sgml |    6 ++++++
 2 files changed, 12 insertions(+)

diff --git a/policy.sgml b/policy.sgml
index 52dbb26..a978abb 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -6281,6 +6281,12 @@ install -m644 debian/shlibs.<var>package</var> debian/<var>package</var>/DEBIAN/
 		  in <file>/run</file> should be stored on a temporary
 		  file system.
 		</p>
+		<p>
+		  Packages must not assume the <file>/run</file>
+                  directory exists or is usable without a dependency
+                  on <tt>initscripts (>= 2.88dsf-13.3)</tt> until the
+                  stable release of Debian supports <file>/run</file>.
+		</p>
 	      </item>
               <item>
                 <p>
diff --git a/upgrading-checklist.sgml b/upgrading-checklist.sgml
index 7527e53..490c4a5 100644
--- a/upgrading-checklist.sgml
+++ b/upgrading-checklist.sgml
@@ -43,6 +43,12 @@ Unreleased.
 <tag>7.1</tag>
   <item>The deprecated relations &lt; and &gt; now must not be used.
   </item>
+<tag>9.1.1</tag>
+  <item>Packages must not assume the <file>/run</file> directory
+  exists or is usable without a dependency on <tt>initscripts (>=
+  2.88dsf-13.3)</tt> until the stable release of Debian
+  supports <file>/run</file>.
+  </item>
 <tag>12.5</tag>
   <item>All copyright files must be encoded in UTF-8.
   </item>
-- 
1.7.10

